## org.eclipse.jetty.rewrite.handler
Class MsieSslRule

    java.lang.Object
      org.eclipse.jetty.rewrite.handler.Rule
          org.eclipse.jetty.rewrite.handler.MsieSslRule

    public class MsieSslRule

extends Rule

MSIE (Microsoft Internet Explorer) SSL Rule. Disable keep alive for SSL from IE5 or IE6 on Windows 2000.

Field Summary

Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule
`_handling, _terminating`

Constructor Summary
`MsieSslRule()`

Method Summary
`String` `matchAndApply(String target, HttpServletRequest request, HttpServletResponse response)` This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.

Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule
`isHandling, isTerminating, setHandling, setTerminating, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MsieSslRule

    public MsieSslRule()

Method Detail

### matchAndApply

    public String matchAndApply(String target,
                                HttpServletRequest request,
                                HttpServletResponse response)
                         throws IOException

  Description copied from class: `Rule`
  This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.

  Specified by:
    `matchAndApply` in class `Rule`
  Parameters:
    `target` - The target of the request
  Returns:
    The new target if the rule has matched, else null
  Throws:
    `IOException` - TODO

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.